Bug 194541 - 2.6.16-1.2255_FC6 installed on USB disk panics.
2.6.16-1.2255_FC6 installed on USB disk panics.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-08 16:46 EDT by Konrad Rzeszutek
Modified: 2008-05-06 20:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Serial output showing the panic. (13.22 KB, text/plain)
2006-06-08 16:46 EDT, Konrad Rzeszutek
no flags Details

  None (edit)
Description Konrad Rzeszutek 2006-06-08 16:46:42 EDT
Description of problem:
Booting from USB disk results in a crash. 

Version-Release number of selected component (if applicable):
2.6.16-1.2255_FC6

How reproducible:
Everytime.

Steps to Reproduce:
1). Install on a USB disk 'rawhide' using 'expert' option.
2). Boot from USB disk and see kernel panic.

Screen shows:
device-mapper: 4.6.0-ioctl (2006-02-17) initialised: dm-devel@redhat.com
Kernel panic - not syncing: Attempted to kill init!
 <c0404e0d> show_trace+0xd/0xf  <c040536b> dump_stack+0x17/0x19
 <c0424068> panic+0x3f/0x177  <c0426cf7> do_exit+0x70/0x7ab
 <c04274a8> sys_exit_group+0x0/0x11  <c04274b7> sys_exit_group+0xf/0x11
 <c060837f> syscall_call+0x7/0xb 
 <0>int3: 0000 [#1]
SMP 
last sysfs file: /block/ram0/removable
Modules linked in: dm_snapshot dm_zero dm_mirror dm_mod ext3 jbd sata_nv libata
usb_storage sd_mod scsi_mod ohci_hcd ehci_hcd
CPU:    1
EIP:    0060:[<c04496ed>]    Not tainted VLI
EFLAGS: 00000246   (2.6.16-1.2255_FC6 #1) 
EIP is at breakpoint+0x68/0x74
eax: c06e7194   ebx: c06e7194   ecx: c07ea520   edx: 00000000
esi: c07ea520   edi: 00000000   ebp: c1595f20   esp: c1595f20
ds: 007b   es: 007b   ss: 0068
Process init (pid: 1, threadinfo=c1595000 task=dfccf5b0)
Stack: c1595f28 c0449720 c1595f3c c0609795 c1595000 dfccf5b0 c1595000 c1595f44 
       c042f6f2 c1595f64 c042408c c06272e5 c07ea520 c1595f70 c1595f70 c1595000 
       dfccf5b0 c1595f94 c0426cf7 c0627489 00000100 c1595fb4 c06093d2 00000000 
Call Trace:
 <c0404dcd> show_stack_log_lvl+0x85/0x8f  <c0404f4a> show_registers+0x13b/0x1af
 <c0405142> die+0x184/0x294  <c06085f0> do_trap+0x7c/0x96
 <c0608852> do_int3+0x61/0x6b  <c060854a> int3+0x1e/0x24
 <c0449720> kgdb_panic_notify+0x8/0xc  <c0609795> notifier_call_chain+0x18/0x29
 <c042f6f2> atomic_notifier_call_chain+0xb/0xd  <c042408c> panic+0x63/0x177
 <c0426cf7> do_exit+0x70/0x7ab  <c04274a8> sys_exit_group+0x0/0x11
 <c04274b7> sys_exit_group+0xf/0x11  <c060837f> syscall_call+0x7/0xb
Code: 23 81 c0 01 75 0d 68 01 a1 62 c0 e8 c2 b3 fd ff 58 eb 0d 68 2f a1 62 c0 e8
b5 b3 fd ff 59 eb 15 c7 05 a8 23 81 c0 01 00 00 00 cc <c7> 05 a8 23 81 c0 00 00
00 00 c9 c3 55 89 e5 68 53 a1 62 c0 e8 
EIP: [<c04496ed>] breakpoint+0x68/0x74 SS:ESP 0068:c1595f20

FYI:

I moved the USB disk to another machine and it also had the panic. When I
installed rawhide on a SATA disk, both machines booted up fine from the SATA. So
it does not seem to be the hardware.

I am attaching the serial output, but I fear that it does not have enough
information. The echo commands in the init file (within the initrd.img) do not
get sent to the serial for some strange reason (I did pass 'noquiet' bootup
argument at some point).
Comment 1 Konrad Rzeszutek 2006-06-08 16:46:42 EDT
Created attachment 130783 [details]
Serial output showing the panic.
Comment 2 Bug Zapper 2008-04-03 13:21:49 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:31:54 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.